public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "David Seifert" <soap@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-libs/libde265/
Date: Tue, 29 Dec 2020 13:38:19 +0000 (UTC)	[thread overview]
Message-ID: <1609249071.10a14c193af4c4365f78ed3140ea63b5a4c2bed3.soap@gentoo> (raw)

commit:     10a14c193af4c4365f78ed3140ea63b5a4c2bed3
Author:     Jakov Smolic <jakov.smolic <AT> sartura <DOT> hr>
AuthorDate: Tue Dec 29 13:37:51 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Tue Dec 29 13:37:51 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=10a14c19

media-libs/libde265: Sync live ebuild

Closes: https://github.com/gentoo/gentoo/pull/18230
Signed-off-by: Jakov Smolic <jakov.smolic <AT> sartura.hr>
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 media-libs/libde265/libde265-9999.ebuild | 33 +++++++++++++++-----------------
 1 file changed, 15 insertions(+), 18 deletions(-)

diff --git a/media-libs/libde265/libde265-9999.ebuild b/media-libs/libde265/libde265-9999.ebuild
index 1b591f16c36..29c28d991c8 100644
--- a/media-libs/libde265/libde265-9999.ebuild
+++ b/media-libs/libde265/libde265-9999.ebuild
@@ -5,14 +5,12 @@ EAPI=7
 
 inherit autotools multilib-minimal
 
-PATCHES=( "${FILESDIR}/${PN}-1.0.2-qtbindir.patch" )
-
-if [[ ${PV} == "9999" ]] ; then
+if [[ ${PV} == *9999 ]] ; then
 	EGIT_REPO_URI="https://github.com/strukturag/${PN}.git"
 	inherit git-r3
 else
 	SRC_URI="https://github.com/strukturag/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-	KEYWORDS="~amd64 ~arm64 ~ppc64 ~x86"
+	KEYWORDS="~amd64 ~arm ~arm64 ~ppc64 ~x86"
 fi
 
 DESCRIPTION="Open h.265 video codec implementation"
@@ -20,14 +18,14 @@ HOMEPAGE="https://github.com/strukturag/libde265"
 
 LICENSE="GPL-3"
 SLOT="0"
-IUSE="enc265 dec265 sdl tools debug static-libs cpu_flags_x86_sse4_1 cpu_flags_arm_neon cpu_flags_arm_thumb"
+IUSE="enc265 dec265 sdl tools debug cpu_flags_x86_sse4_1 cpu_flags_arm_neon cpu_flags_arm_thumb"
 # IUSE+=" sherlock265" # Require libvideogfx or libswscale
 
 RDEPEND="
 	dec265? (
 		sdl? ( media-libs/libsdl )
-	)
-"
+	)"
+
 # Sherlock265 require libvideogfx or libswscale
 #RDEPEND+="
 #	sherlock265? (
@@ -40,12 +38,13 @@ RDEPEND="
 #"
 
 DEPEND="${RDEPEND}"
-
 BDEPEND="dec265? ( virtual/pkgconfig )"
 
 # Sherlock265 require libvideogfx or libswscale
 #BDEPEND+=" sherlock265? ( virtual/pkgconfig )"
 
+PATCHES=( "${FILESDIR}"/${PN}-1.0.2-qtbindir.patch )
+
 src_prepare() {
 	default
 
@@ -57,16 +56,16 @@ src_prepare() {
 
 multilib_src_configure() {
 	local myeconfargs=(
+		--disable-static
+		--enable-log-error
 		ax_cv_check_cflags___msse4_1=$(usex cpu_flags_x86_sse4_1)
 		ax_cv_check_cflags___mfpu_neon=$(usex cpu_flags_arm_neon)
 		$(use_enable cpu_flags_arm_thumb thumb)
-		$(use_enable static-libs static)
 		$(use_enable debug log-info)
 		$(use_enable debug log-debug)
 		$(use_enable debug log-trace)
 		$(multilib_native_use_enable enc265 encoder)
 		$(multilib_native_use_enable dec265)
-		--enable-log-error
 	)
 
 	# myeconfargs+=( $(multilib_native_use_enable sherlock265) ) # Require libvideogfx or libswscale
@@ -79,21 +78,19 @@ multilib_src_install() {
 	default
 
 	if multilib_is_native_abi; then
-		# Remove useless, unready and test tools (Why package ever tried to install them??)
-		rm -f "${ED}/usr/bin/"{tests,gen-enc-table,yuv-distortion} || die
+		# Remove useless, unready and test tools
+		rm "${ED}"/usr/bin/{tests,gen-enc-table,yuv-distortion} || die
 		if ! use tools; then
-			rm -f "${ED}/usr/bin/"{bjoentegaard,block-rate-estim,rd-curves} || die
-			rm -f "${ED}/usr/bin/acceleration_speed" || die
+			rm "${ED}"/usr/bin/{bjoentegaard,block-rate-estim,rd-curves} || die
+			rm "${ED}"/usr/bin/acceleration_speed || die
 		fi
 	else
 		# Remove all non-native binary tools
-		rm -f "${ED}/usr/bin/"* || die
+		rm "${ED}"/usr/bin/* || die
 	fi
 }
 
 multilib_src_install_all() {
 	find "${ED}" -name '*.la' -delete || die
-	if ! use static-libs ; then
-		find "${ED}" -name "*.a" -delete || die
-	fi
+	einstalldocs
 }


             reply	other threads:[~2020-12-29 13:38 UTC|newest]

Thread overview: 51+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2020-12-29 13:38 David Seifert [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-08-10 15:41 [gentoo-commits] repo/gentoo:master commit in: media-libs/libde265/ Michał Górny
2024-08-09  8:50 Jakov Smolić
2024-08-05 11:35 Jakov Smolić
2024-08-05 10:34 Jakov Smolić
2024-08-05 10:34 Jakov Smolić
2024-05-03 11:20 Sam James
2024-05-03 11:20 Sam James
2023-10-23  4:14 John Helmert III
2023-04-26  4:03 Sam James
2023-04-26  3:53 Sam James
2023-04-26  3:53 Sam James
2023-04-26  3:53 Sam James
2023-04-26  3:53 Sam James
2023-03-11  4:34 John Helmert III
2023-01-06  8:10 Sam James
2023-01-06  1:27 Sam James
2023-01-05 23:48 Sam James
2023-01-05 23:48 Sam James
2023-01-05 20:31 Arthur Zamarin
2022-11-04  2:24 Sam James
2022-05-25  9:10 WANG Xuerui
2022-05-25  9:10 WANG Xuerui
2021-09-07  3:05 Sam James
2021-04-25  9:31 Sam James
2021-02-13 20:59 Conrad Kostecki
2021-02-13 19:18 Sam James
2021-02-03  0:01 Sam James
2021-02-01 13:33 Sam James
2020-12-29 13:38 David Seifert
2020-11-12 15:17 Sam James
2020-11-12  6:51 Joonas Niilola
2020-11-12  0:35 Thomas Deutschmann
2020-07-30  3:50 Sam James
2020-07-27 15:09 Craig Andrews
2020-04-26  9:21 Mikle Kolyada
2019-12-26 12:56 Georgy Yakovlev
2019-12-26 12:56 Georgy Yakovlev
2019-07-24 23:09 Aaron Bauman
2018-09-21 12:41 Thomas Deutschmann
2018-09-21  7:41 Agostino Sarubbo
2018-09-19 17:35 Thomas Deutschmann
2018-09-12 13:49 Andreas Sturmlechner
2018-09-12 13:32 Andreas Sturmlechner
2018-09-08 22:04 Thomas Deutschmann
2017-11-20 19:56 Andreas Sturmlechner
2017-11-20 19:56 Andreas Sturmlechner
2017-07-30  9:38 Michał Górny
2016-12-07  7:39 Yixun Lan
2016-12-05  7:58 Yixun Lan
2015-11-09  3:03 Yixun Lan

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1609249071.10a14c193af4c4365f78ed3140ea63b5a4c2bed3.soap@gentoo \
    --to=soap@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox